const LogService = require('../services/log.service');
const { OK } = require('../core/success.response');

class LogController {
    async getMyLogs(req, res) {
        const { id } = req.user;
        const logs = await LogService.getLogsByUser(id);
        new OK({
            message: 'Lấy lịch sử hoạt động thành công',
            metadata: logs,
        }).send(res);
    }
}

module.exports = new LogController();
